petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatISSetLocalMat

Replace the local matrix stored inside a MATIS object.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISSetLocalMat(Mat mat,Mat local)

Collective on Mat

### Input Parameter

| mat | - the matrix
| local | - the local matrix

### Output Parameter

### Notes

This can be called if you have precomputed the local matrix and want to provide it to the matrix object MATIS.

### See Also

MATIS

### Level

advanced

### Location

src/mat/impls/is/matis.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

MatISSetLocalMat_IS in src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages